<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table op sp draw office svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vArguments"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:labelTxt"><xsl:variable select="getDialogVar('txtContent')" name="vNewSrc"/><xsl:value-of select="removeDialogVar('txtContent')"/><xsl:choose><xsl:when test="$vNewSrc"><xsl:apply-templates select="$vNewSrc/*"/></xsl:when><xsl:otherwise><xsl:apply-templates/></xsl:otherwise></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="text()"><xsl:copy-of select="."/></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="tGetParam"><xsl:param name="pKey"/><xsl:if test="contains($vArguments, $pKey)"><xsl:value-of select="substring-before(substring-after($vArguments, concat($pKey, '::')), ';')"/></xsl:if></xsl:template><!--# sc:para[not(@role) or @role='']--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:para[not(@role) or @role='']"><xsl:param name="paraStyle"/><xsl:variable name="vFinalStyle"><xsl:variable name="vArgStyle"><xsl:call-template name="tGetParam"><xsl:with-param select="'paraStyle'" name="pKey"/></xsl:call-template></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($paraStyle))&gt;0"><xsl:value-of select="$paraStyle"/></xsl:when><xsl:when test="string-length(normalize-space($vArgStyle))&gt;0"><xsl:value-of select="$vArgStyle"/></xsl:when><xsl:otherwise>op_5f_labelTxt_5f__20__3e__20_paraTag_5f_</xsl:otherwise></xsl:choose></xsl:variable><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{$vFinalStyle}"><xsl:apply-templates/></text:p></xsl:template><!--# sc:extBlock[not(@role) or @role='']--><xsl:template match="sc:extBlock[not(@role) or @role='']">
			<xsl:variable name="vName"><xsl:value-of select="local-name()"/></xsl:variable><xsl:variable name="vTitleContent"/><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:variable name="vIsTitlePresent"><xsl:value-of select="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"/></xsl:variable><xsl:variable name="vDataContent"><xsl:variable select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')" name="vPathAgentContentNe"/><xsl:value-of select="resultatAgent(concat($vPathAgentContentNe, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="odNoDisplay"> </text:p><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="odNoDisplayNoKeep"><draw:frame xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"><draw:text-box fo:min-height="[scOd[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scOd]"><text:p text:style-name="{si($vIsTitlePresent='true', '', 'odNoDisplay')}"><scOd:conditionalFrame xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><draw:frame><draw:text-box fo:min-height="[scOd[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scOd]"><xsl:copy-of select="$vDataContent"/></draw:text-box></draw:frame></scOd:conditionalFrame><xsl:if test="$vIsTitlePresent='true'"><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></xsl:if></text:p></draw:text-box></draw:frame></text:p><text:p text:style-name="odNoDisplayNoKeep"> </text:p></xsl:when><xsl:otherwise><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WCaptionBlock" de code "" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
		</xsl:template><!--# sc:uLink[@role='acr']--><xsl:template match="sc:uLink[@role='acr']">
			<text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_acr_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N18_{codeAgent('//')}_{generate-id()}" category="acr"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN21"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/shortTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN21))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN21"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN26"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN26))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN26"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN2b"/><xsl:value-of select="si($vPathAgentContentN2b, resultatAgent(concat($vPathAgentContentN2b, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='glos']--><xsl:template match="sc:uLink[@role='glos']">
			<text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_glos_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N37_{codeAgent('//')}_{generate-id()}" category="glos"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN40"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN40))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN40"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN40"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN40))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN40"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN45"/><xsl:value-of select="si($vPathAgentContentN45, resultatAgent(concat($vPathAgentContentN45, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='ref']--><xsl:template match="sc:uLink[@role='ref']">
			<text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_ref_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N51_{codeAgent('//')}_{generate-id()}" category="ref"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN5a"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN5a))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN5a"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN5a"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN5a))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN5a"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN5f"/><xsl:value-of select="si($vPathAgentContentN5f, resultatAgent(concat($vPathAgentContentN5f, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:inlineStyle[@role='quote']--><xsl:template match="sc:inlineStyle[@role='quote']"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_quote"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_quote_20__3e__20_prefix">« </text:span><xsl:apply-templates/><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_quote_20__3e__20_suffix"> »</text:span></text:span></xsl:template><!--# sc:inlineStyle[@role='emp']--><xsl:template match="sc:inlineStyle[@role='emp']"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_emp"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='spec']--><xsl:template match="sc:inlineStyle[@role='spec']"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_spec"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='code']--><xsl:template match="sc:inlineStyle[@role='code']"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_inlineStyleTag_5f_code"><xsl:apply-templates/></text:span></xsl:template><!--# sc:textLeaf[@role='mathtex']--><xsl:template match="sc:textLeaf[@role='mathtex']"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_textLeafTag_5f_mathtex"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_N72_', generate-id()))"/></text:span></xsl:template><!--# sc:textLeaf[@role='exp']--><xsl:template match="sc:textLeaf[@role='exp']"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_textLeafTag_5f_exp"><xsl:apply-templates/></text:span></xsl:template><!--# sc:textLeaf[@role='ind']--><xsl:template match="sc:textLeaf[@role='ind']"><text:span text:style-name="op_5f_labelTxt_5f__20__3e__20_textLeafTag_5f_ind"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineImg[@role='form']--><xsl:template match="sc:inlineImg[@role='form']"><xsl:variable name="vPathAgentContent"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '_Ainline')"/></xsl:variable><xsl:value-of select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))" disable-output-escaping="yes"/></xsl:template><!--# sc:inlineImg[@role='ico']--><xsl:template match="sc:inlineImg[@role='ico']"><xsl:variable name="vPathAgentContent"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '_Ainline')"/></xsl:variable><xsl:value-of select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))" disable-output-escaping="yes"/></xsl:template></xsl:stylesheet>