<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:op="utc.fr:ics/opale3" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="table op sp draw office svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vArguments"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:qTxt"><xsl:variable select="getDialogVar('txtContent')" name="vNewSrc"/><xsl:value-of select="removeDialogVar('txtContent')"/><xsl:choose><xsl:when test="$vNewSrc"><xsl:apply-templates select="$vNewSrc/*"/></xsl:when><xsl:otherwise><xsl:apply-templates/></xsl:otherwise></xsl:choose></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="*"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="text()"><xsl:copy-of select="."/></xsl:template><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="tGetParam"><xsl:param name="pKey"/><xsl:if test="contains($vArguments, $pKey)"><xsl:value-of select="substring-before(substring-after($vArguments, concat($pKey, '::')), ';')"/></xsl:if></xsl:template><!--# sc:para[not(@role) or @role='']--><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="sc:para[not(@role) or @role='']"><xsl:param name="paraStyle"/><xsl:variable name="vFinalStyle"><xsl:variable name="vArgStyle"><xsl:call-template name="tGetParam"><xsl:with-param select="'paraStyle'" name="pKey"/></xsl:call-template></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($paraStyle))&gt;0"><xsl:value-of select="$paraStyle"/></xsl:when><xsl:when test="string-length(normalize-space($vArgStyle))&gt;0"><xsl:value-of select="$vArgStyle"/></xsl:when><xsl:otherwise>op_5f_qTxt_5f__20__3e__20_paraTag_5f_</xsl:otherwise></xsl:choose></xsl:variable><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="{$vFinalStyle}"><xsl:apply-templates/></text:p></xsl:template>
			<!--# sc:itemizedList[not(@role) or @role='']--><xsl:template match="sc:itemizedList[not(@role) or @role='']"><text:list xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_list"><xsl:apply-templates/></text:list></xsl:template><xsl:template match="sc:itemizedList[not(@role) or @role='']/sc:member"><xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::sc:itemizedList[not(@role) or @role=''])"/></xsl:variable><xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:member)"/></xsl:variable><xsl:variable name="vStyle"><xsl:call-template name="sc:itemizedList[not(@role) or @role='']_getStyle"><xsl:with-param select="$vLevel" name="pLevel"/></xsl:call-template></xsl:variable><text:list-item xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><xsl:if test="count(preceding-sibling::sc:member)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if><text:p text:style-name="{$vStyle}"><xsl:apply-templates/></text:p></text:list-item></xsl:template><xsl:template match="sc:itemizedList[not(@role) or @role='']/sc:listItem"><xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::sc:itemizedList[not(@role) or @role=''])"/></xsl:variable><xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:listItem)"/></xsl:variable><xsl:variable name="vStyle"><xsl:call-template name="sc:itemizedList[not(@role) or @role='']_getStyle"><xsl:with-param select="$vLevel" name="pLevel"/></xsl:call-template></xsl:variable><text:list-item xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><xsl:if test="count(preceding-sibling::sc:listItem)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if><xsl:apply-templates><xsl:with-param select="$vStyle" name="paraStyle"/></xsl:apply-templates></text:list-item></xsl:template><xsl:template name="sc:itemizedList[not(@role) or @role='']_getStyle"><xsl:param name="pLevel"/><xsl:choose><xsl:when test="$pLevel=10">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_10</xsl:when><xsl:when test="$pLevel=9">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_9</xsl:when><xsl:when test="$pLevel=8">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_8</xsl:when><xsl:when test="$pLevel=7">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_7</xsl:when><xsl:when test="$pLevel=6">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_6</xsl:when><xsl:when test="$pLevel=5">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_5</xsl:when><xsl:when test="$pLevel=4">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_4</xsl:when><xsl:when test="$pLevel=3">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_3</xsl:when><xsl:when test="$pLevel=2">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_2</xsl:when><xsl:when test="$pLevel=1">op_5f_qTxt_5f__20__3e__20_itemizedListTag_5f__20__3e__20_paragraph_20_level_20_1</xsl:when></xsl:choose></xsl:template>
			<!--# sc:orderedList[not(@role) or @role='']--><xsl:template match="sc:orderedList[not(@role) or @role='']"><text:list xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_list"><xsl:apply-templates/></text:list></xsl:template><xsl:template match="sc:orderedList[not(@role) or @role='']/sc:member"><xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::sc:orderedList[not(@role) or @role=''])"/></xsl:variable><xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:member)"/></xsl:variable><xsl:variable name="vStyle"><xsl:call-template name="sc:orderedList[not(@role) or @role='']_getStyle"><xsl:with-param select="$vLevel" name="pLevel"/></xsl:call-template></xsl:variable><text:list-item xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><xsl:if test="count(preceding-sibling::sc:member)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if><text:p text:style-name="{$vStyle}"><xsl:apply-templates/></text:p></text:list-item></xsl:template><xsl:template match="sc:orderedList[not(@role) or @role='']/sc:listItem"><xsl:variable name="vLevel00"><xsl:value-of select="count(ancestor-or-self::sc:orderedList[not(@role) or @role=''])"/></xsl:variable><xsl:variable name="vLevel"><xsl:value-of select="count(ancestor-or-self::sc:listItem)"/></xsl:variable><xsl:variable name="vStyle"><xsl:call-template name="sc:orderedList[not(@role) or @role='']_getStyle"><xsl:with-param select="$vLevel" name="pLevel"/></xsl:call-template></xsl:variable><text:list-item xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0"><xsl:if test="count(preceding-sibling::sc:listItem)=0"><xsl:attribute name="text:start-value">1</xsl:attribute></xsl:if><xsl:apply-templates><xsl:with-param select="$vStyle" name="paraStyle"/></xsl:apply-templates></text:list-item></xsl:template><xsl:template name="sc:orderedList[not(@role) or @role='']_getStyle"><xsl:param name="pLevel"/><xsl:choose><xsl:when test="$pLevel=10">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_10</xsl:when><xsl:when test="$pLevel=9">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_9</xsl:when><xsl:when test="$pLevel=8">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_8</xsl:when><xsl:when test="$pLevel=7">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_7</xsl:when><xsl:when test="$pLevel=6">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_6</xsl:when><xsl:when test="$pLevel=5">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_5</xsl:when><xsl:when test="$pLevel=4">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_4</xsl:when><xsl:when test="$pLevel=3">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_3</xsl:when><xsl:when test="$pLevel=2">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_2</xsl:when><xsl:when test="$pLevel=1">op_5f_qTxt_5f__20__3e__20_orderedListTag_5f__20__3e__20_paragraph_20_level_20_1</xsl:when></xsl:choose></xsl:template>
		<!--# sc:extBlock[not(@role) or @role='']--><xsl:template match="sc:extBlock[not(@role) or @role='']">
			<xsl:variable name="vName"><xsl:value-of select="local-name()"/></xsl:variable><xsl:variable name="vTitleContent"/><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:variable name="vIsTitlePresent"><xsl:value-of select="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"/></xsl:variable><xsl:variable name="vDataContent"><xsl:variable select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')" name="vPathAgentContentN15"/><xsl:value-of select="resultatAgent(concat($vPathAgentContentN15, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="odNoDisplay"> </text:p><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="odNoDisplayNoKeep"><draw:frame xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0"><draw:text-box fo:min-height="[scOd[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scOd]"><text:p text:style-name="{si($vIsTitlePresent='true', '', 'odNoDisplay')}"><scOd:conditionalFrame xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument"><draw:frame><draw:text-box fo:min-height="[scOd[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scOd]"><xsl:copy-of select="$vDataContent"/></draw:text-box></draw:frame></scOd:conditionalFrame><xsl:if test="$vIsTitlePresent='true'"><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></xsl:if></text:p></draw:text-box></draw:frame></text:p><text:p text:style-name="odNoDisplayNoKeep"> </text:p></xsl:when><xsl:otherwise><scOd:error xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WCaptionBlock" de code "" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
		</xsl:template><!--# sc:uLink[not(@role) or @role='']--><xsl:template match="sc:uLink[not(@role) or @role='']">
			<text:a xlink:type="simple"><xsl:attribute name="xlink:href">
					<xsl:value-of select="@url"/>
				</xsl:attribute><text:span text:style-name="op_5f_qTxt_5f__20__3e__20_url_20__3e__20_inline">
					<xsl:apply-templates/>
				</text:span></text:a>
			<scOd:condition xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xpath="string-length(text:note/text:note-body/text:p)&gt;0"><scOd:idBlock categ="cNote"><text:note text:note-class="footnote" text:id="[scOd[idbId]scOd]"><text:note-citation><scOd:idbPosition/></text:note-citation><text:note-body>
				<text:p text:style-name="op_5f_qTxt_5f__20__3e__20_urlFootNote">
					<xsl:value-of select="si(@url!=normalize-space(text()), @url)"/>
				</text:p>
			</text:note-body></text:note></scOd:idBlock></scOd:condition>
		</xsl:template><!--# sc:uLink[@role='acr']--><xsl:template match="sc:uLink[@role='acr']">
			<text:span text:style-name="op_5f_qTxt_5f__20__3e__20_acr_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N3a_{codeAgent('//')}_{generate-id()}" category="acr"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN43"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/shortTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN43))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN43"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN48"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN48))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN48"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN4d"/><xsl:value-of select="si($vPathAgentContentN4d, resultatAgent(concat($vPathAgentContentN4d, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='glos']--><xsl:template match="sc:uLink[@role='glos']">
			<text:span text:style-name="op_5f_qTxt_5f__20__3e__20_glos_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N59_{codeAgent('//')}_{generate-id()}" category="glos"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN62"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN62))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN62"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN62"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN62))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN62"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN67"/><xsl:value-of select="si($vPathAgentContentN67, resultatAgent(concat($vPathAgentContentN67, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='bib']--><xsl:template match="sc:uLink[@role='bib']">
			<text:span text:style-name="op_5f_qTxt_5f__20__3e__20_bib_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N73_{codeAgent('//')}_{generate-id()}" category="bib"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN7c"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN7c))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN7c"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN81"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/shortTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN81))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN81"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentN86"/><xsl:value-of select="si($vPathAgentContentN86, resultatAgent(concat($vPathAgentContentN86, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='ref']--><xsl:template match="sc:uLink[@role='ref']">
			<text:span text:style-name="op_5f_qTxt_5f__20__3e__20_ref_20__3e__20_inline">
				<xsl:apply-templates/>
				<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N92_{codeAgent('//')}_{generate-id()}" category="ref"><xsl:variable name="vId">
						<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
					</xsl:variable><xsl:variable name="vSortKey">
						<xsl:variable name="vTitleN9b"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN9b))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN9b"/><xsl:text/></xsl:if>
					</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
						<xsl:variable name="vTitleN9b"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleN9b))&gt;0"><xsl:text/><xsl:value-of select="$vTitleN9b"/><xsl:text/></xsl:if>
					</scOd:title><scOd:data>
						<xsl:variable select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '/metaAgt'))" name="vPathAgentContentNa0"/><xsl:value-of select="si($vPathAgentContentNa0, resultatAgent(concat($vPathAgentContentNa0, '_Acontent', '/getContent')))" disable-output-escaping="yes"/>
					</scOd:data></scOd:dataBlock>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='docLnk']--><xsl:template match="sc:uLink[@role='docLnk']">
			<text:span text:style-name="op_5f_qTxt_5f__20__3e__20_docLnk_20__3e__20_inline">
				<xsl:apply-templates/>
				<xsl:text> (cf. </xsl:text>
				<xsl:variable name="vTitleNae"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/shortTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleNae))&gt;0"><xsl:text/><xsl:value-of select="$vTitleNae"/><xsl:text/></xsl:if>
				<xsl:text>)</xsl:text>
			</text:span>
		</xsl:template><!--# sc:uLink[@role='resLnk']--><xsl:template match="sc:uLink[@role='resLnk']">
			<text:span text:style-name="op_5f_qTxt_5f__20__3e__20_resLnk_20__3e__20_inline">
				<xsl:apply-templates/>
			</text:span>
			<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_Nbb_{codeAgent('//')}_{generate-id()}" category="res"><xsl:variable name="vId">
					<xsl:value-of select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')"/>
				</xsl:variable><xsl:variable name="vSortKey">
					<xsl:variable name="vTitleNc4"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleNc4))&gt;0"><xsl:text/><xsl:value-of select="$vTitleNc4"/><xsl:text/></xsl:if>
				</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
					<xsl:variable name="vTitleNc4"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '', '/fullTitleText'))"/></xsl:variable><xsl:if test="string-length(normalize-space($vTitleNc4))&gt;0"><xsl:text/><xsl:value-of select="$vTitleNc4"/><xsl:text/></xsl:if>
				</scOd:title><scOd:data>
					<xsl:variable select="concat('@', getIdFromPath(ancestor-or-self::*[@sc:refUri][1]/@sc:refUri), '')" name="vPathAgentContentNc9"/><xsl:value-of select="resultatAgent(concat($vPathAgentContentNc9, '/getContent'))" disable-output-escaping="yes"/>
				</scOd:data></scOd:dataBlock>
		</xsl:template><!--# sc:inlineStyle[@role='emp']--><xsl:template match="sc:inlineStyle[@role='emp']"><text:span text:style-name="op_5f_qTxt_5f__20__3e__20_inlineStyleTag_5f_emp"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='spec']--><xsl:template match="sc:inlineStyle[@role='spec']"><text:span text:style-name="op_5f_qTxt_5f__20__3e__20_inlineStyleTag_5f_spec"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='representative']--><xsl:template match="sc:inlineStyle[@role='representative']"><text:span text:style-name="op_5f_qTxt_5f__20__3e__20_inlineStyleTag_5f_representative"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineStyle[@role='code']--><xsl:template match="sc:inlineStyle[@role='code']"><text:span text:style-name="op_5f_qTxt_5f__20__3e__20_inlineStyleTag_5f_code"><xsl:apply-templates/></text:span></xsl:template><!--# sc:textLeaf[@role='mathtex']--><xsl:template match="sc:textLeaf[@role='mathtex']"><text:span text:style-name="op_5f_qTxt_5f__20__3e__20_textLeafTag_5f_mathtex"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat('widget_Nd8_', generate-id()))"/></text:span></xsl:template><!--# sc:textLeaf[@role='exp']--><xsl:template match="sc:textLeaf[@role='exp']"><text:span text:style-name="op_5f_qTxt_5f__20__3e__20_textLeafTag_5f_exp"><xsl:apply-templates/></text:span></xsl:template><!--# sc:textLeaf[@role='ind']--><xsl:template match="sc:textLeaf[@role='ind']"><text:span text:style-name="op_5f_qTxt_5f__20__3e__20_textLeafTag_5f_ind"><xsl:apply-templates/></text:span></xsl:template><!--# sc:inlineImg[@role='form']--><xsl:template match="sc:inlineImg[@role='form']"><xsl:variable name="vPathAgentContent"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '_Ainline')"/></xsl:variable><xsl:value-of select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))" disable-output-escaping="yes"/></xsl:template><!--# sc:inlineImg[@role='ico']--><xsl:template match="sc:inlineImg[@role='ico']"><xsl:variable name="vPathAgentContent"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri), '_Ainline')"/></xsl:variable><xsl:value-of select="resultatAgent(concat($vPathAgentContent, '/getContent.inline'))" disable-output-escaping="yes"/></xsl:template></xsl:stylesheet>