<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" xmlns:op="utc.fr:ics/opale3" xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:xalan="http://xml.apache.org/xalan" xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" xmlns:office="urn:oasis:names:tc:opendocument:xmlns:office:1.0" xmlns:style="urn:oasis:names:tc:opendocument:xmlns:style:1.0" xmlns:svg="urn:oasis:names:tc:opendocument:xmlns:svg-compatible:1.0" xmlns:sl="http://www.utc.fr/ics/scenari/v3/library" xmlns:fo="urn:oasis:names:tc:opendocument:xmlns:xsl-fo-compatible:1.0" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:java="http://xml.apache.org/xslt/java" xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core" exclude-result-prefixes="op table sp xalan draw office style svg sl fo xlink scOd text sc " >
<xsl:output xmlns:xsl="http://www.w3.org/1999/XSL/Transform" omit-xml-declaration="yes" indent="no" method="xml"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vAgent"/><xsl:param xmlns:xsl="http://www.w3.org/1999/XSL/Transform" name="vDialog"/><xsl:variable xmlns:xsl="http://www.w3.org/1999/XSL/Transform" select="getIdNode(ancestor-or-self::op:txtRes)" name="idRootAgt"/><xsl:template xmlns:xsl="http://www.w3.org/1999/XSL/Transform" match="op:txtRes"><xsl:choose><xsl:when test="checkNoCycleAgent()">
		
		<text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_txtRes_5f__20__3e__20_spaceBeforeSection"/>
		
		<xsl:for-each select="sp:res"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
			<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N10_{codeAgent('//')}_{generate-id()}" category="cprRes"><xsl:variable name="vId">
					<xsl:value-of select="concat($vContentAgt, '')"/>
				</xsl:variable><xsl:variable name="vSortKey">
					<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
				</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
					<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
				</scOd:title><scOd:data>
					<xsl:variable select="resultatAgent(concat($vContentAgt, '/metaAgt'))" name="vContentAgtN21"/><xsl:value-of select="si($vContentAgtN21, resultatAgent(concat($vContentAgtN21, '_Acredit', '/getContent')))" disable-output-escaping="yes"/>
				</scOd:data></scOd:dataBlock>
		</xsl:for-each>
		
		<xsl:variable name="vName"><xsl:value-of select="local-name()"/></xsl:variable><xsl:variable name="vTitleContent"/><xsl:variable name="vDataContent"><xsl:choose>
				<xsl:when test="op:txtResM/sp:pos='rgt'"><xsl:for-each select="sp:res"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<scOd:dataBlock xmlns:scOd="http://www.utc.fr/ics/scenari/v3/openDocument" id="db_N30_{codeAgent('//')}_{generate-id()}" category="res"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:overrideContentDeclaration><scOd:block.data/></scOd:overrideContentDeclaration><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scOd:title><scOd:data>
								<xsl:variable name="vName"><xsl:value-of select="local-name()"/></xsl:variable><xsl:variable name="vTitleContent"><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></xsl:variable><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:variable name="vIsTitlePresent"><xsl:value-of select="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"/></xsl:variable><xsl:variable name="vDataContent"><xsl:variable select="concat($vContentAgt, '_AtxtRes')" name="vContentAgtN4f"/><xsl:value-of select="resultatAgent(concat($vContentAgtN4f, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="odNoDisplay"> </text:p><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="odNoDisplayNoKeep"><draw:frame xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" draw:style-name="fr25" draw:name="op_txtRes_ &amp;gt; resRight &amp;gt; main frame" text:anchor-type="paragraph" svg:y="0cm" svg:width="8.001cm" draw:z-index="5"><draw:text-box fo:min-height="[scOd[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scOd]"><text:p text:style-name="{si($vIsTitlePresent='true', 'op_5f_txtRes_5f__20__3e__20_resRight_20__3e__20_title', 'odNoDisplay')}"><scOd:conditionalFrame><draw:frame draw:style-name="fr26" draw:name="op_txtRes_ &amp;gt; resRight &amp;gt; caption frame" text:anchor-type="paragraph" svg:y="0cm" svg:width="0.041cm" style:rel-width="92%" draw:z-index="10"><draw:text-box fo:min-height="[scOd[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scOd]"><xsl:copy-of select="$vDataContent"/></draw:text-box></draw:frame></scOd:conditionalFrame><xsl:if test="$vIsTitlePresent='true'"><xsl:text/><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></xsl:if></text:p></draw:text-box></draw:frame></text:p><text:p text:style-name="odNoDisplayNoKeep"> </text:p></xsl:when><xsl:otherwise><scOd:error text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WCaptionBlock" de code "resRight" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
							</scOd:data></scOd:dataBlock>
					</xsl:for-each><xsl:for-each select="sp:txt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN57"/><xsl:value-of select="resultatAgent(concat($vContentAgtN57, '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each></xsl:when>
				<xsl:otherwise><xsl:for-each select="sp:res"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<scOd:dataBlock id="db_N5f_{codeAgent('//')}_{generate-id()}" category="res"><xsl:variable name="vId">
								<xsl:value-of select="concat($vContentAgt, '')"/>
							</xsl:variable><xsl:variable name="vSortKey">
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</xsl:variable><scOd:id value="{normalize-space($vId)}"/><scOd:overrideContentDeclaration><scOd:block.data/></scOd:overrideContentDeclaration><scOd:sortKey value="{normalize-space($vSortKey)}"/><scOd:title>
								<xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose>
							</scOd:title><scOd:data>
								<xsl:variable name="vName"><xsl:value-of select="local-name()"/></xsl:variable><xsl:variable name="vTitleContent"><xsl:choose><xsl:when test="string-length(normalize-space(resultatAgent(concat($vContentAgt, '', '/fullTitleText'))))&gt;0"><xsl:value-of disable-output-escaping="yes" select="resultatAgent(concat($vContentAgt, '', '/fullTitleText'))"/></xsl:when><xsl:when test="boolean('true')"/></xsl:choose></xsl:variable><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:variable name="vIsTitlePresent"><xsl:value-of select="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"/></xsl:variable><xsl:variable name="vDataContent"><xsl:variable select="concat($vContentAgt, '_AtxtRes')" name="vContentAgtN7e"/><xsl:value-of select="resultatAgent(concat($vContentAgtN7e, '/getContent'))" disable-output-escaping="yes"/></xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="odNoDisplay"> </text:p><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="odNoDisplayNoKeep"><draw:frame xmlns:draw="urn:oasis:names:tc:opendocument:xmlns:drawing:1.0" draw:style-name="fr27" draw:name="op_txtRes_ &amp;gt; resLeft &amp;gt; main frame" text:anchor-type="paragraph" svg:y="0cm" svg:width="7.997cm" draw:z-index="6"><draw:text-box fo:min-height="[scOd[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scOd]"><text:p text:style-name="{si($vIsTitlePresent='true', 'op_5f_txtRes_5f__20__3e__20_resLeft_20__3e__20_title', 'odNoDisplay')}"><scOd:conditionalFrame><draw:frame draw:style-name="fr28" draw:name="op_txtRes_ &amp;gt; resLeft &amp;gt; caption frame" text:anchor-type="paragraph" svg:y="0cm" svg:width="0.041cm" style:rel-width="92%" draw:z-index="11"><draw:text-box fo:min-height="[scOd[xpath:..//*[name()='draw:frame'][last()]/@*[name()='svg:height']]scOd]"><xsl:copy-of select="$vDataContent"/></draw:text-box></draw:frame></scOd:conditionalFrame><xsl:if test="$vIsTitlePresent='true'"><xsl:text/><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></xsl:if></text:p></draw:text-box></draw:frame></text:p><text:p text:style-name="odNoDisplayNoKeep"> </text:p></xsl:when><xsl:otherwise><scOd:error text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WCaptionBlock" de code "resLeft" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
							</scOd:data></scOd:dataBlock>
					</xsl:for-each><xsl:for-each select="sp:txt"><xsl:variable name="vContentAgt"><xsl:choose><xsl:when test="@sc:refUri"><xsl:value-of select="concat('@', getIdFromPath(@sc:refUri))"/></xsl:when><xsl:otherwise><xsl:value-of select="concat('@', getIdNode(.))"/></xsl:otherwise></xsl:choose></xsl:variable>
						<xsl:variable select="concat($vContentAgt, '')" name="vContentAgtN86"/><xsl:value-of select="resultatAgent(concat($vContentAgtN86, '/getContent'))" disable-output-escaping="yes"/>
					</xsl:for-each></xsl:otherwise>
			</xsl:choose></xsl:variable><xsl:variable name="vIsTitleMandatory">false</xsl:variable><xsl:choose><xsl:when test="string-length(normalize-space($vTitleContent))&gt;0 or string-length(normalize-space($vDataContent))&gt;0"><table:table xmlns:table="urn:oasis:names:tc:opendocument:xmlns:table:1.0" table:style-name="op_5f_txtRes_5f__5f_bxTxtRes_5f_table" table:name="{$vName}"><table:table-column table:style-name="op_5f_txtRes_5f__5f_bxTxtRes_5f_table.A"/><table:table-row><table:table-cell table:style-name="op_5f_txtRes_5f__5f_bxTxtRes_5f_table.A1"><xsl:if test="string-length(normalize-space($vTitleContent))&gt;0 or $vIsTitleMandatory='true'"><text:p xmlns:text="urn:oasis:names:tc:opendocument:xmlns:text:1.0" text:style-name="op_5f_txtRes_5f__20__3e__20_bxTxtRes_20__3e__20_title"><xsl:value-of disable-output-escaping="yes" select="$vTitleContent"/></text:p></xsl:if><xsl:copy-of select="$vDataContent"/></table:table-cell></table:table-row></table:table></xsl:when><xsl:otherwise><scOd:error text="Bloc ignoré" phase="generation" type="info">Le widget "sm:WBox" de code "bxTxtRes" ne possède pas de contenu.</scOd:error></xsl:otherwise></xsl:choose>
	</xsl:when><xsl:otherwise/></xsl:choose></xsl:template><xsl:template match="*"/></xsl:stylesheet>